Mail archive
alpine-aports

[alpine-aports] [PATCH 2/3] testing/gcc-arm-none-eabi: New aport

From: Marian Buschsieweke <marian.buschsieweke_at_ovgu.de>
Date: Sat, 26 Aug 2017 16:07:28 +0200

The GNU Compiler Collection for embedded ARM targets (e.g. Cortex M0/M3/M4/...)
http://gcc.gnu.org
---
 testing/gcc-arm-none-eabi/APKBUILD | 68 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 68 insertions(+)
 create mode 100644 testing/gcc-arm-none-eabi/APKBUILD
diff --git a/testing/gcc-arm-none-eabi/APKBUILD b/testing/gcc-arm-none-eabi/APKBUILD
new file mode 100644
index 0000000000..9d68c25fa0
--- /dev/null
+++ b/testing/gcc-arm-none-eabi/APKBUILD
_at_@ -0,0 +1,68 @@
+# Contributor: Marian Buschsieweke <marian.buschsieweke_at_ovgu.de>
+# Maintainer: Marian Buschsieweke <marian.buschsieweke_at_ovgu.de>
+# Based on gcc-avr
+_pkgbase=gcc
+_target=arm-none-eabi
+pkgname="${_pkgbase}-${_target}"
+pkgver=6.4.0
+pkgrel=0
+pkgdesc="The GNU Compiler Collection for embedded ARM targets (e.g. Cortex M0/M3/M4/...)"
+url="http://gcc.gnu.org"
+depends="binutils-${_target}"
+makedepends="bash linux-headers gmp-dev mpfr-dev mpc1-dev zlib-dev"
+arch="all"
+license="GPL LGPL"
+subpackages="$pkgname-doc"
+_islver=0.18
+source="ftp://gcc.gnu.org/pub/${_pkgbase}/releases/${_pkgbase}-$pkgver/${_pkgbase}-$pkgver.tar.xz
+	http://isl.gforge.inria.fr/isl-${_islver}.tar.bz2"
+
+builddir="$srcdir/${_pkgbase}-$pkgver"
+_workingdir="$builddir/build"
+
+build() {
+	mkdir "$_workingdir" || return 1
+	cd "$_workingdir"
+
+	# link isl for in-tree build
+	ln -s "$srcdir"/isl-"$_islver" "$builddir"/isl
+
+	export CFLAGS_FOR_TARGET='-pipe'
+	export CXXFLAGS_FOR_TARGET='-pipe'
+
+	"$builddir"/configure \
+		--build="$CBUILD" \
+		--target=${_target} \
+		--prefix=/usr \
+		--enable-languages=c \
+		--enable-ld=default \
+		--enable-__cxa_atexit \
+		--disable-install-libiberty \
+		--disable-libssp \
+		--disable-libstdcxx-pch \
+		--disable-libunwind-exceptions \
+		--disable-linker-build-id \
+		--disable-nls \
+		--disable-werror \
+		--libdir=/usr/lib \
+		--libexecdir=/usr/lib \
+		--with-as="/usr/bin/${_target}-as" \
+		--with-gnu-as \
+		--with-gnu-ld \
+		--with-ld="/usr/bin/${_target}-ld" \
+		--with-system-zlib \
+		--with-isl || return 1
+	make
+}
+
+package() {
+	cd "$_workingdir"
+	make install DESTDIR="$pkgdir" || return 1
+	rm -rf "$pkgdir"/usr/share/man/man7
+	rm -f "$pkgdir"/usr/lib/libcc1.*
+	rm -rf "$pkgdir"/usr/share/info
+	find "$pkgdir"/usr/lib -type f -name "*.a" -exec "/usr/bin/${_target}-strip" --strip-debug '{}' \;
+}
+
+sha512sums="02c60e54527c7adf584798d5251f8a0b80c93d5deafce82501b2c28e6692e0bd783927bbfc4bc527a863c0cccc025150a34740a9e29badb02d4b48e56a8aba90  gcc-6.4.0.tar.xz
+85d0b40f4dbf14cb99d17aa07048cdcab2dc3eb527d2fbb1e84c41b2de5f351025370e57448b63b2b8a8cf8a0843a089c3263f9baee1542d5c2e1cb37ed39d94  isl-0.18.tar.bz2"
-- 
2.14.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Aug 26 2017 - 16:07:28 GMT